AGGraphMaker (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGGraphMaker

Package com.franz.agraph.jena

# Class AGGraphMaker

java.lang.Object
com.franz.agraph.jena.AGGraphMaker

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `GraphMaker`

public class AGGraphMaker extends Object implements GraphMaker, Closeable
Implements the Jena GraphMaker interface for AllegroGraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGGraphMaker(AGRepositoryConnection conn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `AGGraph`
  `createGraph()`
  `AGGraph`
  `createGraph(String uri)`
  `AGGraph`
  `createGraph(String uri, boolean strict)`
  `AGGraphUnion`
  `createUnion(AGGraph... graphs)`
  Returns a graph that is the union of specified graphs.
  `AGGraph`
  `getGraph()`
  `AGRepositoryConnection`
  `getRepositoryConnection()`
  `AGGraph`
  `getUnionOfAllGraphs()`
  Returns the union of all graphs (includes default graph).
  `boolean`
  `hasGraph(String uri)`
  `ExtendedIterator<String>`
  `listGraphs()`
  Deprecated.
  `Stream<String>`
  `names()`
  `AGGraph`
  `openGraph()`
  Deprecated.
  `AGGraph`
  `openGraph(String name)`
  `AGGraph`
  `openGraph(String uri, boolean strict)`
  `void`
  `removeGraph(String uri)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGGraphMaker

    public AGGraphMaker(AGRepositoryConnection conn)

- ## Method Details

  - ### getRepositoryConnection

    public AGRepositoryConnection getRepositoryConnection()

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `GraphMaker`

  - ### getGraph

    public AGGraph getGraph()
    Specified by:
      `getGraph` in interface `GraphMaker`

  - ### createGraph

    public AGGraph createGraph()
    Specified by:
      `createGraph` in interface `GraphMaker`

  - ### createGraph

    public AGGraph createGraph(String uri)
    Specified by:
      `createGraph` in interface `GraphMaker`

  - ### createGraph

    public AGGraph createGraph(String uri, boolean strict)
    Specified by:
      `createGraph` in interface `GraphMaker`

  - ### hasGraph

    public boolean hasGraph(String uri)
    Specified by:
      `hasGraph` in interface `GraphMaker`

  - ### listGraphs

    @Deprecated public ExtendedIterator<String> listGraphs()
    Deprecated.
    Specified by:
      `listGraphs` in interface `GraphMaker`

  - ### openGraph

    @Deprecated public AGGraph openGraph()
    Deprecated.
    Specified by:
      `openGraph` in interface `GraphMaker`

  - ### names

    public Stream<String> names()

  - ### openGraph

    public AGGraph openGraph(String name)
    Specified by:
      `openGraph` in interface `GraphMaker`

  - ### openGraph

    public AGGraph openGraph(String uri, boolean strict)
    Specified by:
      `openGraph` in interface `GraphMaker`

  - ### removeGraph

    public void removeGraph(String uri)
    Specified by:
      `removeGraph` in interface `GraphMaker`

  - ### getUnionOfAllGraphs

    public AGGraph getUnionOfAllGraphs()
    Returns the union of all graphs (includes default graph).

    Add operations on this graph are housed in the default graph.

    Returns:
      the union of all graphs.

  - ### createUnion

    public AGGraphUnion createUnion(AGGraph... graphs)
    Returns a graph that is the union of specified graphs. By convention, the first graph mentioned will be used for add operations on the union. All other operations will apply to all graphs in the union. If no graphs are supplied, the union of all graphs is assumed, and add operations apply to the default graph.
    Parameters:
      `graphs` - the graphs in the union
    Returns:
      the union of the specified graphs